Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.dropboxmq.resource.spi.factories
Class XATopicManagedConnectionFactoryImpl

    java.lang.Object
      net.sf.dropboxmq.resource.spi.CommonBean
          net.sf.dropboxmq.resource.spi.factories.AbstractManagedConnectionFactory
              net.sf.dropboxmq.resource.spi.factories.XATopicManagedConnectionFactoryImpl

All Implemented Interfaces:
  Serializable, ManagedConnectionFactory, ResourceAdapterAssociation

    public class XATopicManagedConnectionFactoryImpl

extends AbstractManagedConnectionFactory

Created: 12 Oct 2006

Version:
  $Revision: 211 $, $Date: 2010-11-14 14:21:24 -0700 (Sun, 14 Nov 2010) $
Author:
  Dwayne Schultz
See Also:
  Serialized Form

Constructor Summary
`XATopicManagedConnectionFactoryImpl()`
`XATopicManagedConnectionFactoryImpl(Configuration configuration)`

Method Summary
`ConnectionImpl` | `createConnection(ManagedConnectionImpl managedConnection, ConnectionRequestInfoImpl connectionRequestInfo)`
`Object` | `createConnectionFactory(ConnectionManager connectionManager)`

Methods inherited from class net.sf.dropboxmq.resource.spi.factories.AbstractManagedConnectionFactory
`createConnectionFactory, createManagedConnection, equals, getConfigurationInstance, getLogWriter, getResourceAdapter, hashCode, matchManagedConnections, setLogWriter, setResourceAdapter`

Methods inherited from class net.sf.dropboxmq.resource.spi.CommonBean
`getClassLoadedProperties, getMessageTranscoderFactory, getPollingInterval, getProperty, getRedeliveryAttempts, getRoot, getTargetScanTimeout, isConsumeExpiredMessages, isDeleteCompleteTransactions, isDeleteExpiredMessages, isDeleteProcessedMessages, isPreserveDeletedDropboxes, setClassLoadedProperties, setConsumeExpiredMessages, setDeleteCompleteTransactions, setDeleteExpiredMessages, setDeleteProcessedMessages, setMessageTranscoderFactory, setPollingInterval, setPreserveDeletedDropboxes, setRedeliveryAttempts, setRoot, setTargetScanTimeout, toObjectString, validateCommon`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XATopicManagedConnectionFactoryImpl

    public XATopicManagedConnectionFactoryImpl()

### XATopicManagedConnectionFactoryImpl

    public XATopicManagedConnectionFactoryImpl(Configuration configuration)

Method Detail

### createConnectionFactory

    public Object createConnectionFactory(ConnectionManager connectionManager)
                                   throws ResourceException

  Throws:
    `ResourceException`

### createConnection

    public ConnectionImpl createConnection(ManagedConnectionImpl managedConnection,
                                           ConnectionRequestInfoImpl connectionRequestInfo)
                                    throws InvalidPropertyException

  Specified by:
    `createConnection` in class `AbstractManagedConnectionFactory`
  Throws:
    `InvalidPropertyException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD